# spec file for package openxcom-nightly

Name:           openxcom
Version:        2.0.0
Release:        171109nightly
Summary:        An open source reimplementation of the original X-Com game (Nightly Builds)
License:        GPL-3.0
Group:          Amusements/Games/Strategy/Turn Based
Url:            http://openxcom.org/
Source0:        %{name}-%{release}.zip
Source1:        %{name}.svg
Source2:        %{name}-symbolic.svg
Source3:        %{name}.appdata.xml
# BuildRequires:  Mesa-devel?
BuildRequires:  SDL-devel
BuildRequires:  SDL_gfx-devel >= 2.0.22
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  docbook2X
BuildRequires:  dos2unix
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  xmlto
BuildRequires:  yaml-cpp-devel >= 0.5

%description
OpenXcom is an open-source clone of the original UFO: Enemy Unknown
(X-Com: UFO Defense in USA), licensed under the GPL and written in C++ / SDL.

The goal of the project is to bring back the tried and true feel of the original
with none of the issues. All the same graphics, sound and gameplay with a brand
new codebase written from scratch.

User is required to have original gamedata (possible to obtain from e.g. Steam)
installed to ~/.local/share/openxcom/data/

WARNING: This is a nightly build release, beware the bugs!

%package doc
Summary:        Documentation files for %{name}
Group:          Amusements/Games/Strategy/Turn Based
Requires:       %{name} = %{version}

%description doc
Documentation files for %{name} game.

%prep
%setup -q -n OpenXcom-master
chmod -x LICENSE.txt
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} .

sed -i \
	-e 's:HTML_TIMESTAMP         = YES:HTML_TIMESTAMP         = NO:g' \
	docs/Doxyfile.in
dos2unix *.txt

%build
CXXFLAGS="%{optflags}" \
./autogen.sh
%configure \
	--disable-werror \
	--with-docs --docdir="%{_docdir}/%{name}"
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -m 0755 -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 0644 -p %{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 0755 -d %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps
install -m 0644 -p %{name}-symbolic*.svg %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps
install -m 0755 -d %{buildroot}%{_datadir}/appdata
install -m 0644 -p %{name}.appdata.xml %{buildroot}%{_datadir}/appdata

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.md CHANGELOG.txt
%{_datadir}/applications/openxcom.desktop
%{_mandir}/man6/openxcom.6.gz
%exclude %{_datadir}/pixmaps/openxcom.svg
%exclude %{_datadir}/pixmaps/openxcom.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{name}-symbolic.svg
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_bindir}/%{name}
%dir %{_docdir}/%{name}
%exclude %{_docdir}/%{name}/html/

%files doc
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}/html
%{_docdir}/%{name}/html/*

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Sat Dec 2 2017 Evgeny Kolesnikov <evgenyz@gmail.com> - 2.0.0-171109
- Nightly Build from 2017-11-09.

* Sun Oct 23 2016 Evgeny Kolesnikov <evgenyz@gmail.com> - 2.0.0-161023
- Nightly Build from 2016-10-23.

* Sun Nov 1 2015 Evgeny Kolesnikov <evgenyz@gmail.com> - 2.0.0-151031
- Nightly Build from 2015-10-31.

* Sat Oct 17 2015 Evgeny Kolesnikov <evgenyz@gmail.com> - 2.0.0-151010
- Nightly Build from 2015-10-10.

* Sun Oct 04 2015 Evgeny Kolesnikov <evgenyz@gmail.com> - 2.0.0-151001
- Nightly Build from 2015-10-01.
